Class RootWebService.ChangePasswordRequest
java.lang.Object
ubic.gemma.rest.RootWebService.ChangePasswordRequest
- Enclosing class:
RootWebService
Request body for
RootWebService.changeMyPassword(RootWebService.ChangePasswordRequest). Both fields are required.- Author:
- tesarst
-
Field Summary
FieldsModifier and TypeFieldDescriptionThe user's current password, re-verified before the change is applied.The desired new password (minimum 8 characters). -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidsetCurrentPassword(String currentPassword) voidsetNewPassword(String newPassword)
-
Field Details
-
currentPassword
The user's current password, re-verified before the change is applied. -
newPassword
The desired new password (minimum 8 characters).
-
-
Constructor Details
-
ChangePasswordRequest
public ChangePasswordRequest()
-
-
Method Details
-
getCurrentPassword
-
setCurrentPassword
-
getNewPassword
-
setNewPassword
-